Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# IORC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "ior_manip_export.h"`
`#include "tao/Exception.h"`
`#include "tao/Object.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence.h"`
`#include "tao/CDR.h"`
`#include "ace/post.h"`

Include dependency graph for IORC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_IORManip_Export
#define | _TAO_IOP_EMPTYPROFILELIST_CH_
#define | _TAO_IOP_NOTFOUND_CH_
#define | _TAO_IOP_DUPLICATE_CH_
#define | _TAO_IOP_INVALID_IOR_CH_
#define | _TAO_IOP_MULTIPROFILELIST_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___PTR_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___VAR_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___OUT_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___PTR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___VAR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___OUT_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___VAR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___OUT_CH_
## Functions
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::EmptyProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::EmptyProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::NotFound &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::NotFound &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::Duplicate &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Duplicate &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::Invalid_IOR &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Invalid_IOR &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::MultiProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::MultiProfileList &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_IORManip_Export

#define _TAO_IOP_DUPLICATE_CH_

#define _TAO_IOP_EMPTYPROFILELIST_CH_

#define _TAO_IOP_INVALID_IOR_CH_

#define _TAO_IOP_MULTIPROFILELIST_CH_

#define _TAO_IOP_NOTFOUND_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___OUT_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___VAR_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___OUT_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___PTR_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___VAR_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___OUT_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___PTR_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___VAR_CH_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IOP::MultiProfileList & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IOP::Invalid_IOR & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IOP::Duplicate & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IOP::NotFound & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const TAO_IOP::EmptyProfileList & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| TAO_IOP::MultiProfileList & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| TAO_IOP::Invalid_IOR & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| TAO_IOP::Duplicate & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| TAO_IOP::NotFound & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| TAO_IOP::EmptyProfileList & )